package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description: 考勤提交参数
 * @Author: CaoZixuan
 * @Date: 2023-08-29
 */
public class DingSubmitParam {
    @ApiModelProperty(value = "服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "缺少服务单元id")
    @Range(min = 1L, message = "缺少服务单元id")
    private Long serviceUnitId;

    @ApiModelProperty(value = "sop流水号")
    @NotBlank(message = "缺少sop流水号")
    private String sopNo;

    @ApiModelProperty(value = "人员档案id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "缺少人员档案id")
    @Range(min = 1L, message = "缺少人员档案id")
    private Long userArchivesId;

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public Long getUserArchivesId() {
        return userArchivesId;
    }

    public void setUserArchivesId(Long userArchivesId) {
        this.userArchivesId = userArchivesId;
    }
}
